Inhalte
Index 🔎︎

# Funktion NPer [VBA]

Gibt die Anzahl der Perioden eines Darlehens oder einer Anlage zurück.

Diese Funktion oder Konstante wird mit der Anweisung Option VBASupport 1 aktiviert, die in einem Modul vor dem ausführbaren Programmcode steht.

### Syntax:

    NPer (Rate as Double, Pmt as Double, PV as Double, [FV as Variant], [Due as Variant])

### Rückgabewert:

Double

### Parameter:

Rate legt den periodischen Zinssatz fest.

Pmt ist die regelmäßige Zahlung (Annuität), die pro Zeitraum geleistet wird.

PV ist der (gegenwärtige) Barwert einer Investition.

FV (optional) ist der zukünftige Wert eines Darlehens / einer Anlage.

Due (optional) definiert, ob die Zahlung am Anfang oder Ende eines Zeitraumes fällig ist.

0 - Die Zahlung ist am Ende des Zeitraumes fällig;

1 - Die Zahlung ist am Anfang des Zeitraumes fällig.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    REM ***** BASIC *****
    Option VBASupport 1
    Sub ExampleNPer
     Dim period As Double
     period = NPer( 0.06, 153.75, 2600)
     Print period ' Gibt -12,02 zurück. Die Zahlungsperiode umfasst 12,02 Perioden.
    End Sub

Verwandte Themen

Funktion ZZR (NPER) in CALC

VBA - Finanzmathematische Funktionen